org.eclipse.gef.dot.internal.ui

## Class Dot2ZestAttributesConverter.Options

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.Dot2ZestAttributesConverter.Options

Enclosing class:
  Dot2ZestAttributesConverter

    public static final class Dot2ZestAttributesConverter.Options
    extends Object

### Field Summary

Fields
`boolean` `emulateLayout` Indicates whether layout should be emulated or not.
`boolean` `ignorePositions` Whether to ignore position data.
`boolean` `invertYAxis` Specifies whether the y-coordinate values of all position information is to be inverted.

### Constructor Summary

Constructors
Constructor and Description
`Options()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### emulateLayout

    public boolean emulateLayout

Indicates whether layout should be emulated or not. If set to `true`, an `ILayoutAlgorithm` is to be inferred for the given dot, and set as value of the `ZestProperties.LAYOUT_ALGORITHM__G` attribute. If set to `false` (i.e. native layout is performed via Graphviz and position and size information is already provided in the dot input), the `ZestProperties.LAYOUT_ALGORITHM__G` should remain unset.

#### ignorePositions

    public boolean ignorePositions

Whether to ignore position data.

#### invertYAxis

    public boolean invertYAxis

Specifies whether the y-coordinate values of all position information is to be inverted. If set to `true` the y-values of all position information is to be inverted. If set to `false`, it is to be transformed without inversion.

### Constructor Detail

#### Options

    public Options()